/**
 * Share Icons
 */
.share-icons {
	display: grid;
	position: relative;
	margin-bottom: 30px;
}

.share-icons__wrapper {
	border: 1px solid var(--color-extra-light);
	border-radius: 60px;
	padding: 10px;
	width: 310px;
}

.share-icons__inner {
	display: grid;
	grid-auto-flow: column;
	justify-content: start;
	justify-items: start;
	width: auto;
}

.share-icons__title {
	margin-bottom: 5px;
	font-size: var(--tiny-font);
}

.share-icons__link {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 45px;
	height: 45px;
	margin-right: 15px;
	border-width: 0px;
	border-style: solid;
	border-color: var(--color-light);
	border-radius: 60%;
	color: var(--color-white);
	background-color: rgba(255, 255, 255, 0);
	transition: all var(--ease-fast);
}

.share-icons__link:hover,
.share-icons__link:focus {
	color: var(--color-white);
	border-color: rgba(0, 0, 0, 0);
	background-color: var(--color-link);
}

.share-icons__link.twitter svg {
	max-width: 20px;
}

.sticky-icons {
	position: absolute;
	left: 0;
	top: 0;
	height: 100%;
	z-index: 1;
}

.sticky-icons .share-icons {
	position: sticky;
	top: 25px;
	flex-direction: column;
	transition: top .18s ease-out;
}

.header-scroll-up ~ .main .sticky-icons .share-icons {
	top: 125px;
}

.sticky-icons .share-icons__text {
	margin-right: 0;
	margin-bottom: 10px;
}

.sticky-icons .share-icons__inner {
	flex-direction: column;
}

.sticky-icons .share-icons__link {
	margin-bottom: 10px;
}

.sticky-icons .share-icons__title {
	display: none;
}

/**
 * Copy link tooltip
 */
.copy-link {
	position: relative;
}

.copy-link__alert {
	position: absolute;
	top: calc(100% + 7px);
	left: 50%;
	line-height: 30px;
	padding: 5px 20px;
	visibility: hidden;
	opacity: 0;
	white-space: nowrap;
	text-align: center;
	text-transform: none;
	font-size: var(--small-font);
	font-weight: 400;
	color: var(--color-white);
	background: var(--color-dark);
	border-radius: 2px;
	font-family: var(--font);
	letter-spacing: 0;
	transform: translateX(-50%) translateY(25%);
	transition: all .3s var(--ease-expo-in-out);
}

.copy-link__alert::before {
	content: "";
	position: absolute;
	left: 50%;
	margin-left: -5px;
	top: -10px;
	width: 0;
	height: 0;
	border-top: 5px solid transparent;
	border-left: 5px solid transparent;
	border-right: 5px solid transparent;
	border-bottom: 5px solid var(--color-dark);
}

.copy-link.coppied .copy-link__alert {
	opacity: 1;
	visibility: visible;
	transform: translateX(-50%) translateY(0%);
}